Bug 58085 - NULL pointer dereferences
NULL pointer dereferences
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-08 00:39 EST by Umaid Singh Rajpurohit
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 20:11:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Umaid Singh Rajpurohit 2002-01-08 00:39:30 EST
Description of Problem:
 I am running clearcase on RedHat Linux 7.1 (kernel 2.4.2) on IBM Xseries one U
servers that has
two CPU's here is

cat /proc/cpuinfo

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 11
model name      : Intel(R) Pentium(R) III CPU family      1133MHz
stepping        : 1
cpu MHz         : 1128.593
cache size      : 512 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 mmx fxsr sse
bogomips        : 2254.43

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 11
model name      : Intel(R) Pentium(R) III CPU family      1133MHz
stepping        : 1
cpu MHz         : 1128.593
cache size      : 512 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 mmx fxsr sse
bogomips        : 2254.43

here is memory information

cat /proc/iomem

00000000-0009dbff : System RAM
0009dc00-0009ffff : reserved
000a0000-000bffff : Video RAM area
000c0000-000c7fff : Video ROM
000cb000-000cc7ff : Extension ROM
000cc800-000d19ff : Extension ROM
000f0000-000fffff : System ROM
00100000-5ffec33f : System RAM
  00100000-00277227 : Kernel code
  00277228-00290f5f : Kernel data
5ffec340-5ffeffff : ACPI Tables
5fff0000-5fffffff : reserved
effff000-efffffff : Adaptec 7892P
f0000000-f7ffffff : S3 Inc. Savage 4
fe900000-fe9fffff : Intel Corporation 82557 [Ethernet Pro 100] (#2)
fea00000-feafffff : Intel Corporation 82557 [Ethernet Pro 100]
feb7d000-feb7dfff : PCI device 1166:0220 (ServerWorks)
  feb7d000-feb7dfff : usb-ohci
feb7e000-feb7efff : Intel Corporation 82557 [Ethernet Pro 100] (#2)
  feb7e000-feb7efff : eepro100
feb7f000-feb7ffff : Intel Corporation 82557 [Ethernet Pro 100]
  feb7f000-feb7ffff : eepro100
feb80000-febfffff : S3 Inc. Savage 4
fec00000-ffffffff : reserved

Here is uname -a

Linux  2.4.2-2smp #1 SMP Sun Apr 8 20:21:34 EDT 2001 i686 unknown

I have more then sufficient physical memory and swap space
Here is some swap space detail form top

Mem:  1543868K av,  507684K used, 1036184K free,       0K shrd,  317576K buff
Swap: 5116576K av,       0K used, 5116576K free                   33076K cached


            I am running n number of IBM X Series server every now and then 
one or two servers crashes and don't allow me to do anything except reset.
The /var/log/messages says something like:

Jan  6 17:59:45  kernel: Unable to handle kernel NULL pointer dereference at
virtual address 00000014
Jan  6 17:59:45  kernel:  printing eip:
Jan  6 17:59:45  kernel: f8b510b2
Jan  6 17:59:45  kernel: pgd entry eb571000: 0000000000000000
Jan  6 17:59:45  kernel: pmd entry eb571000: 0000000000000000
Jan  6 17:59:45  kernel: ... pmd not present!
Jan  6 17:59:45  kernel: Oops: 0000
Jan  6 17:59:45  kernel: CPU:    1
Jan  6 17:59:45  kernel: EIP:    0010:[<f8b510b2>]
Jan  6 17:59:45  kernel: EFLAGS: 00010246
Jan  6 17:59:45  kernel: eax: d951f220   ebx: 00000040   ecx: c027e140   edx:
00000000
Jan  6 17:59:45  kernel: esi: 00000000   edi: ea10fe60   ebp: ea10fe20   esp:
ea10fde8
Jan  6 17:59:45  kernel: ds: 0018   es: 0018   ss: 0018
Jan  6 17:59:45  kernel: Process tcsh (pid: 31185, stackpage=ea10f000)
Jan  6 17:59:45  kernel: Stack: 00000040 f68c86c4 ea10fea0 d32e2ca0 00000040
f68c86c4 ea10fea0 00000000 
Jan  6 17:59:45  kernel:        00000000 00000000 f68c86c4 d951f220 00029508
00000002 ea10fe70 f8b4c6cf 
Jan  6 17:59:45  kernel:        00000001 ea10fe60 d32e2ca0 f8b4c423 00000040
f68c86c4 d32e2ca0 000079d1 
Jan  6 17:59:45  kernel: Call Trace: [<f8b4c6cf>] [<f8b4c423>] [<f8b56034>]
[<f8b8a764>] [<f8b4d497>] [<f8b754cc>] [<f8b7042a>] 
Jan  6 17:59:45  kernel:        [<f8b70420>] [<f8b6fbef>] [dput+59/416]
[permission+69/144] [<f8b6ee70>] [path_walk+2392/2432] [__user_walk+58/96]
[sys_stat64+19/112] 
Jan  6 17:59:45  kernel:        [<f8b70420>] [<f8b6fbef>] [<c014e8cb>]
[<c01458a5>] [<f8b6ee70>] [<c01465f8>] [<c0146b0a>] [<c0143143>] 
Jan  6 17:59:45  kernel:        [error_code+52/60] [system_call+51/56] 
Jan  6 17:59:45  kernel:        [<c0109300>] [<c01091cb>] 
Jan  6 17:59:45  kernel: 
Jan  6 17:59:45  kernel: Code: 83 7e 14 06 0f 85 f7 00 00 00 83 c4 f8 6a 00 56
e8 3d a8 ff 
Jan  6 17:59:45  kernel: Unable to handle kernel NULL pointer dereference at
virtual address 00000014
Jan  6 17:59:45  kernel:  printing eip:
Jan  6 17:59:45  kernel: f8b510b2
Jan  6 17:59:45  kernel: pgd entry d4f8d000: 0000000000000000
Jan  6 17:59:45  kernel: pmd entry d4f8d000: 0000000000000000
Jan  6 17:59:45  kernel: ... pmd not present!
Jan  6 17:59:45  kernel: Oops: 0000
Jan  6 17:59:45  kernel: CPU:    0
Jan  6 17:59:45  kernel: EIP:    0010:[<f8b510b2>]
Jan  6 17:59:45  kernel: EFLAGS: 00010246
Jan  6 17:59:45  kernel: eax: d951f220   ebx: 00000040   ecx: c027e140   edx:
00000000
Jan  6 17:59:45  kernel: esi: 00000000   edi: e6041e60   ebp: e6041e20   esp:
e6041de8
Jan  6 17:59:45  kernel: ds: 0018   es: 0018   ss: 0018
Jan  6 17:59:45  kernel: Process tcsh (pid: 31184, stackpage=e6041000)
Jan  6 17:59:45  kernel: Stack: 00000040 f68c8ec8 e6041ea0 eca3ace0 00000040
f68c8ec8 e6041ea0 00000000 
Jan  6 17:59:45  kernel:        00000000 00000000 f68c8ec8 d951f220 00029508
00000002 e6041e70 f8b4c6cf 
Jan  6 17:59:45  kernel:        00000001 e6041e60 eca3ace0 f8b4c423 00000040
f68c8ec8 eca3ace0 000079d0 
Jan  6 17:59:45  kernel: Call Trace: [<f8b4c6cf>] [<f8b4c423>] [<f8b56034>]
[<f8b8a764>] [<f8b4d497>] [<f8b754cc>] [<f8b7042a>] 
Jan  6 17:59:45  kernel:        [<f8b70420>] [<f8b6fbef>] [dput+59/416]
[permission+69/144] [<f8b6ee70>] [path_walk+2392/2432] [__user_walk+58/96]
[sys_stat64+19/112] 
Jan  6 17:59:45  kernel:        [<f8b70420>] [<f8b6fbef>] [<c014e8cb>]
[<c01458a5>] [<f8b6ee70>] [<c01465f8>] [<c0146b0a>] [<c0143143>] 


         I am unable to find any information on it.Can any one help me out.


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Pete Zaitcev 2002-06-04 14:50:34 EDT
I think it was fixed in 7.2 errata, the infamous
tcsh with 64 bit offsets.

Please try 7.3 release, if possible.
Comment 2 Pete Zaitcev 2002-07-22 22:26:17 EDT
Please, DO install at least 2.4.9-34 or better, if you cannot try 7.3;
record the result in a bug comment.
Comment 3 Alan Cox 2003-06-07 20:11:08 EDT
Clearcase binary modules on base RH isnt a Red Hat supported item. This differs
for certain enteprise products of course.

Note You need to log in before you can comment on or make changes to this bug.